config:
  target: "http://localhost:3000"   # your API base URL
  phases:
    - duration: 60    # 60 seconds
      arrivalRate: 20 # 20 requests per second
  
  defaults:
    headers:
      x-api-key: "cricketfanapp_secret_key_2024"
      Content-Type: "application/json"

scenarios:
  - flow:
      - get:
          url: "/api/posts/all-post"
